<template>
  <li class="flex py-6">
    <div class="h-24 w-24 flex-shrink-0 overflow-hidden rounded-md border border-gray-200">
      <nuxt-img
        :src="basketItem.product.card.cover.src"
        class="h-full w-full object-cover object-center"
        width="300"
        height="300"
        loading="lazy"
      />
    </div>

    <div class="ml-4 flex flex-1 flex-col">
      <div>
        <div class="flex justify-between text-base font-medium text-gray-900">
          <h3>
            <app-multilang-string :str="basketItem.product.card.title"/>
          </h3>
          <p class="ml-4">{{ basketItem.product.price.amd }} ֏</p>
        </div>
        <p class="mt-1 text-sm text-gray-500">product.color</p>
      </div>
      <div class="flex flex-1 items-end justify-between text-sm">
        <p class="text-gray-500">Qty  product.quantity</p>

        <div class="flex">
          <button type="button" class="font-medium text-indigo-600 hover:text-indigo-500" @click="handleRemove">Remove</button>
        </div>
      </div>
    </div>
  </li>
</template>

<script setup lang="ts">
  import type { PropType } from 'vue'
  import type { BasketItem } from '~/composable/useBasket'
  import { useBasket } from '~/composable/useBasket'

  const props = defineProps({
    basketItem: {
      type: Object as PropType<BasketItem>,
      required: true,
    }
  })

  const {removeItem} = useBasket()
  const handleRemove = () => {
    removeItem(props.basketItem.itemId)
  }
</script>